#!/bin/sh

# usage:  export (no command line parameters) 

#----------------------------------------------------------------------
# configuration - edit as required

### Required parameters
# FOLDER is directory to save exported FCAs
FOLDER=./catalog-client
# DRIVERNAME is the database type, e.g., db2, oracle, derby
DRIVERNAME=oracle
# For derby, specify DBNAME as the fully qualified path to derby DB directory, and SERVER_IP as localhost 
DBNAME=fabricdb

# example for Oracle set DRIVERCLASSPATH=$ORACLE_HOME/jdbc/lib/ojdbc6.jar 
# example for DB2 set DRIVERCLASSPATH=$DB2_HOME/java/db2jcc.jar;$DB2_HOME/java/db2jcc_license_cu.jar 
# example for Derby set DRIVERCLASSPATH=$WPS_HOME/derby/lib/derby.jar 
DRIVERCLASSPATH=$ORACLE_HOME/jdbc/lib/ojdbc6.jar

SERVER_IP=9.121.182.145
### Optional parameters, not used for derby
SERVER_PORT=1521
USERNAME=fabricusr
PASSWORD=fabricusr

if [ "$JAVA_HOME" = "" ]; then
    JAVA_HOME=/opt/IBM/WPS/java
fi
#----------------------------------------------------------------------

JAR=fabric-export-import-612.jar
CP=$JAR:$DRIVERCLASSPATH
for jarfile in lib/*.jar
do 
    CP=$CP:$jarfile
done

if [ "$DRIVERNAME" != "derby" ]
then
    USEROPT=-username
    PSWDOPT=-password
    PORTOPT=-serverPort

    if [ "$USERNAME" = "" ]
    then USEROPT=
    fi
    if [ "$PASSWORD" = "" ]
    then PSWDOPT=
    fi
    if [ "$SERVER_PORT" = "" ]
    then PORTOPT=
    fi

    $JAVA_HOME/bin/java -cp $CP com.ibm.ws.fabric.wbsf612.migrator.MigratorClass -functionType export -folder $FOLDER -driverName $DRIVERNAME -databaseName $DBNAME -serverIP $SERVER_IP $PORTOPT $SERVER_PORT $USEROPT $USERNAME $PSWDOPT $PASSWORD 
else
    $JAVA_HOME/bin/java -cp $CP com.ibm.ws.fabric.wbsf612.migrator.MigratorClass -functionType export -folder $FOLDER -driverName $DRIVERNAME -databaseName $DBNAME -serverIP $SERVER_IP  
fi

